Bug 851273 - Internal server error when displaying dashboard/nova/instances_and_volumes
Internal server error when displaying dashboard/nova/instances_and_volumes
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon (Show other bugs)
1.0 (Essex)
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Nuno Santos
Nir Magnezi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-23 12:10 EDT by Jaroslav Henner
Modified: 2013-09-12 18:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-13 07:28:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 995079 None None None 2012-08-23 14:38:18 EDT

  None (edit)
Description Jaroslav Henner 2012-08-23 12:10:35 EDT
Description of problem:


Version-Release number of selected component (if applicable):
python-django-horizon-2012.1.1-2.el6.noarch
OpenStack/Essex/2012-08-10.3/x86_64


How reproducible:
Always

Steps to Reproduce:
1. As some user, create server and volume and attach it.
2. As some other user (admin), navigate to http://dashboard/dashboard/nova/instances_and_volumes/
  
Actual results:
After volume is attached, dashboard crashes with ISE.


Expected results:
No crash

Additional info:
Comment 2 Matthias Runge 2012-12-13 07:04:32 EST
I can not reproduce this for Dashboard in Folsom release. Especially, that specific page has been divided into

http://rhel6/dashboard/nova/instances/
and 
http://rhel6/dashboard/nova/volumes/
Comment 3 Jaroslav Henner 2012-12-13 07:25:52 EST
Yep. I think it doesn't happen any more in Folsom. If we are not going to fix this for Essex, I recommend WONTFIX.
Comment 4 Matthias Runge 2012-12-13 07:28:05 EST
OK, thanks for the report and also for your understanding. For now, I'll close it as wontfix.

Note You need to log in before you can comment on or make changes to this bug.